---
title: "Get Applications List"
slug: "get-application-list"
updated: 2025-09-14T16:24:10Z
published: 2025-09-14T16:24:10Z
canonical: "docs.plainid.io/get-application-list"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Applications List
Get/policy-mgmt/1.0/applications/{envId}
This API allows users to retrieve a list of Applications based on the Environment ID.
### Notice
Accessing the Policy Management APIs is through a dedicated domain/URL according to your PlainID Tenant Location:
`https://api.{REGION}.plainid.io`
**United States (US)** -
`https://api.us1.plainid.io`
**Canada (US)** -
`https://api.ca1.plainid.io`
**Europe (US)** -
`https://api.eu1.plainid.io`
Replace`{REGION}` with your PlainID Tenant region (e.g. us1, eu1, ca1, etc.).
### Important note about headers
Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.
#### Headers
*Required
| Header | Value | cURL Line |
| --- | --- | --- |
| Accept | `application/json` | `-H"Accept: application/json"` |
### cURL Sample Guidelines
In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right. They will then appear in the cURL sample on the bottom of the page in the correct format.
### Using HTML Encoded Special Characters
Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this [HTML URL Encoding Reference](https://www.w3schools.com/tags/ref_urlencode.ASP) for a full list.
SecurityHTTPType bearer
For more details about Administration API Authentication, check out the Authentication APIs documentation Provide your bearer token in the Authorization header when making requests to protected resources. Example: `Authorization: Bearer 123`
Path parametersenvIdstring (uuid) Required
The Environment ID can be found under the Details tab in the Environment Settings.
Query parametersdetailedboolean
If **false**, only the ID and name are returned. If **true**, a detailed response is returned.
Defaultfalse
limitnumberMinimum1Maximum50Default50.0
offsetnumberMinimum0Default0.0
authWsIdstring (uuid)
The Authorization Workspace ID can be found in your Authorization Workspace Settings Details section under **Workspace ID**.
authWsNamestring
The Authorization Workspace Name can be found in your Authorization Workspace Settings Details under **Name**.
Responses200
List of applications
Expand Allobject data Array of object (application) object Example{
"id": "APPS269J5C16H8N4",
"name": "application name",
"description": "description",
"clientId": [
"P6VFQUXJ4FDTGPZKLY0C"
],
"authWsId": "119e0a29-f4fe-429a-9ac6-7e413353f044",
"authWsName": "authorization workspace name"
}idstring
namestring Max length100
descriptionstring Max length200
clientId Array of string string Max length100
authWsIdstring (uuid)
authWsNamestring Max length100
totalinteger
limitinteger
offsetinteger
400
Max page size is 50
Expand Allobject codestring
idstring
statusinteger
namestring
messagestring
argsobject pathstring
403
operation get for resource Application isn't allowed because the current user does not have the appropriate permissions
Expand Allobject codestring
idstring
statusinteger
namestring
messagestring
argsobject pathstring